import random


def gcd(a, b):
    while b != 0:
        a, b = b, a % b
    return a

def runningAverage():
    user_input = input("input a number: ")
    sum = 0
    count = 0
    while user_input:
        sum += int(user_input)
        count += 1
        user_input = input("input another number: ")
    return sum / count if count > 0 else 0

def taxBurden(salary, low, high, rate):
    '''Calculate the tax burden for the interval

        if salary is above the range, pay the full burden
        else if the salary is in the range, pay the partial burden
        else pay 0
    '''
    if salary > high:
        return (high - low) * rate
    if salary > low:
        return (salary - low) * rate
    return 0

def taxCalculator(total_income):
    '''This function should return the total tax amount based on the total_income'''
    tax = 0
    tax += taxBurden(total_income, 0, 11_001, .10)
    tax += taxBurden(total_income, 11_001, 44_726, .12)
    tax += taxBurden(total_income, 44_726, 95_376, .22)
    tax += taxBurden(total_income, 95_376, 182_101, .24)
    tax += taxBurden(total_income, 182_101, 231_251, .32)
    tax += taxBurden(total_income, 231_251, 578_126, .35)
    tax += taxBurden(total_income, 578_126, float("inf"), .37)
    return tax

